## opendrop 3.3.1

=== SConstruct ===
import os


env = Environment(
    NAME='opendrop',

    PACKAGE_METADATA = {
        'Requires-Python': '>=3.6',
        'Provides-Extra': 'genicam',
        'Requires-Dist': File('requirements.txt').get_text_contents().splitlines(),
        'Home-page': 'https://github.com/jdber1/opendrop',
        'Classifier': [
            'License :: OSI Approved :: GNU General Public License v3 (GPLv3)',
        ],
    },

    BUILDDIR='./build',
)


AddOption(
    '--build-dir',
    dest='build_dir',
    default=env.Dir('build'),
    metavar='DIR',
    help='Set DIR as the build directory.',
)


env['BUILDDIR'] = GetOption('build_dir')

env.Append(
    ENV={'PATH': os.environ['PATH']},
    CPPPATH=[env.Dir('include')],
    CCFLAGS=['-O3'],
)

env.Tool('gitversion')
env.Tool('python')
env.Tool('pydist')


package_files = SConscript('opendrop/SConscript', exports='env')
wheel = env.WheelPackage(
    '$BUILDDIR',
    package_files,
    packages={'opendrop': './opendrop'},

    python_tag='cp%s%s' % tuple(env['PYTHONVERSION'].split('.')[:2]),
    abi_tag='abi3',
    platform_tag=env['PYTHON_DISTUTILS_PLATFORM'],
)
Alias('bdist_wheel', wheel)


c_tests = SConscript('tests/c/SConscript', exports='env')
Alias('tests', c_tests)

=== requirements.txt ===
pycairo
pygobject
numpy
matplotlib
scipy
injector
genicam; extra == 'genicam'
importlib_resources; python_version<'3.7'
typing_extensions; python_version<'3.8'

## opendrop 3.1.7dev0

=== debian/changelog ===
opendrop (3.1.7dev0-2) unstable; urgency=medium

  * opendrop Depends: python3-opencv,
    gir1.2-gdkpixbuf-2.0, gir1.2-gtk-3.0
  * move attribution comments from package description to
    debian/copyright. Closes: #972433.
  * Build-Depends: python3 not python3-all.
    python3-opencv does not currently build the cv2 extension for
    non-default python versions (see Bug#972566).

 -- Drew Parsons <dparsons@debian.org>  Tue, 20 Oct 2020 20:41:41 +0800

opendrop (3.1.7dev0-1) unstable; urgency=medium

  * Initial release (Closes: #968228)
  * debian patch app_main.patch fixes app loading for 3.1.7dev0

 -- Drew Parsons <dparsons@debian.org>  Wed, 12 Aug 2020 19:58:44 +0800

=== debian/control ===
Source: opendrop
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>,
 Stuart Prescott <stuart@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 python3-setuptools,
 python3,
 python3-cairo,
 python3-gi,
 python3-matplotlib,
 python3-numpy,
 python3-opencv,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-xvfb | x-window-manager,
 python3-scipy,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-typing-extensions,
 gir1.2-gdkpixbuf-2.0,
 gir1.2-gtk-3.0
Standards-Version: 4.5.0
Homepage: http://opencolloids.com/
Vcs-Browser: https://salsa.debian.org/debichem-team/opendrop
Vcs-Git: https://salsa.debian.org/debichem-team/opendrop.git
#Testsuite: autopkgtest-pkg-python

Package: opendrop
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
 python3-opencv,
 gir1.2-gdkpixbuf-2.0,
 gir1.2-gtk-3.0
Suggests: opendrop-doc
Description: fully-featured pendant drop tensiometry software
 OpenDrop is a fully-featured pendant drop tensiometry software,
 allowing acquisition, analysis and fitting of pendant drop profiles
 to obtain surface and interfacial tension. OpenDrop also includes
 functionality for measuring sessile drop contact angles.

Package: opendrop-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Suggests: opendrop
Description: fully-featured pendant drop tensiometry software (documentation)
 OpenDrop is a fully-featured pendant drop tensiometry software,
 allowing acquisition, analysis and fitting of pendant drop profiles
 to obtain surface and interfacial tension. OpenDrop also includes
 functionality for measuring sessile drop contact angles.
 .
 This is the documentation package for OpenDrop.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=opendrop

export PYBUILD_TEST_ARGS=-v

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/python3-opendrop

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html # HTML generator
	PYTHONPATH=. python3 -m sphinx -N -bman docs/ build/man # Manpage generator

override_dh_install:
	dh_install
	cd debian/opendrop/usr/share/icons/hicolor/48x48/apps; mv icon_48x48.png opendrop.png
	cd debian/opendrop/usr/share/icons/hicolor/96x96/apps; mv icon_96x96.png opendrop.png

=== debian/tests/control ===
Test-Command: PYTHONPATH=. pytest-3 -v
Depends: opendrop,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-xvfb | x-window-manager

## opendrop 3.3.1

=== debian/changelog ===
opendrop (3.3.1-6build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:05:52 +1100

opendrop (3.3.1-6build1) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:14:28 +0100

opendrop (3.3.1-6) unstable; urgency=medium

  * Add patch for compatibility with pytest 8 (Closes: #1063975).
  * Change icon handling to include UI icons in the package and fix broken
    symlink (Closes: #1040569).
  * Install example images into opendrop-doc package.

 -- Stuart Prescott <stuart@debian.org>  Tue, 20 Feb 2024 21:57:56 +1100

opendrop (3.3.1-5) unstable; urgency=medium

  * debian patch fix_DBo_2f7dc0e.patch applies upstream commit 2f7dc0e
    to fix analysis of Interfacial Tension.  Closes: #1032488.
  * replace debian patch sundials_nvector_API6.patch with
    sundials_API6_cf9d5aa.patch applying upstream commit
    cf9d5aa (dev branch) to fix build with sundials 6.
  * debian patch pygobject_gtk3.patch reduces gui errors by
    asserting use of Gtk 3.
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Thu, 09 Mar 2023 02:24:59 +0100

opendrop (3.3.1-4) unstable; urgency=medium

  * debian/patches/sundials_nvector_API6.patch updates sundials
    (nvector) v6 API to use a SUNContext. Closes: #1025761.
  * mark opendrop-doc Multi-Arch: foreign
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Tue, 13 Dec 2022 20:36:32 +0100

opendrop (3.3.1-3) unstable; urgency=medium

  * Switch to updated name for the pybuild PEP517 builder in the build-deps.

 -- Stuart Prescott <stuart@debian.org>  Wed, 09 Feb 2022 00:41:54 +1100

opendrop (3.3.1-2) unstable; urgency=medium

  * Fix building of documentation on the arch:all buildd.

 -- Stuart Prescott <stuart@debian.org>  Tue, 14 Dec 2021 16:50:50 +1100

opendrop (3.3.1-1) unstable; urgency=medium

  * New upstream version.
    - drop patch; no longer needed
    - update build-dependencies and binary package dependencies
    - switch opendrop package to be arch:any as it now contains compiled
      python modules to accelerate the computations
    - add patch to push hardening flags into scons
    - add patch to make PEP517 builder work with scons
    - add patch to make scons use the current python interpreter when building
      extensions.
  * Rework d/rules to use PEP517 plugin for pybuild as the buildsystem.
  * Test against all supported versions of Python 3 in autopkgtests tests.
  * Fix field name typo in debian/tests/control (Test => Tests).
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

 -- Stuart Prescott <stuart@debian.org>  Tue, 14 Dec 2021 15:19:56 +1100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,25 @@
 Source: opendrop
 Section: science
 Priority: optional
-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>,
  Stuart Prescott <stuart@debian.org>
-Build-Depends: debhelper-compat (= 13),
- dh-python,
+Build-Depends:
+ cython3,
+ debhelper-compat (= 13),
+ pybuild-plugin-pyproject,
+ libboost-dev,
+ libboost-test-dev,
+ libglib2.0-dev-bin,
+ libsundials-dev,
  python3-setuptools,
  python3,
+ python3-all-dev,
  python3-cairo,
  python3-gi,
+ python3-gi-cairo,
+ python3-injector,
  python3-matplotlib,
  python3-numpy,
  python3-opencv,
@@ -21,16 +31,23 @@
  python3-sphinx-rtd-theme,
  python3-typing-extensions,
  gir1.2-gdkpixbuf-2.0,
- gir1.2-gtk-3.0
-Standards-Version: 4.5.0
+ gir1.2-gtk-3.0,
+ scons,
+ unzip,
+Standards-Version: 4.6.2
 Homepage: http://opencolloids.com/
 Vcs-Browser: https://salsa.debian.org/debichem-team/opendrop
 Vcs-Git: https://salsa.debian.org/debichem-team/opendrop.git
 #Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: opendrop
-Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends},
+Architecture: any
+Depends:
+ ${python3:Depends},
+ ${misc:Depends},
+ ${shlibs:Depends},
+ python3-injector,
  python3-opencv,
  gir1.2-gdkpixbuf-2.0,
  gir1.2-gtk-3.0
@@ -44,6 +61,7 @@
 Package: opendrop-doc
 Architecture: all
 Section: doc
+Multi-Arch: foreign
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
 Suggests: opendrop
 Description: fully-featured pendant drop tensiometry software (documentation)

=== debian/tests/control ===
Depends: opendrop,
 python3-all,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-xvfb | x-window-manager
Tests: opendrop

## opendrop 3.3.2

=== SConstruct ===
--- 
+++ 
@@ -32,7 +32,7 @@
 env.Append(
     ENV={'PATH': os.environ['PATH']},
     CPPPATH=[env.Dir('include')],
-    CCFLAGS=['-O3'],
+    CCFLAGS=['-O3', '-std=c++14'],
 )
 
 env.Tool('gitversion')
@@ -48,7 +48,7 @@
 
     python_tag='cp%s%s' % tuple(env['PYTHONVERSION'].split('.')[:2]),
     abi_tag='abi3',
-    platform_tag=env['PYTHON_DISTUTILS_PLATFORM'],
+    platform_tag=env['PYTHONPLATFORM'],
 )
 Alias('bdist_wheel', wheel)

=== requirements.txt ===
pycairo
pygobject
numpy
matplotlib
scipy
injector<0.21.0
genicam; extra == 'genicam'
importlib_resources; python_version<'3.7'
typing_extensions; python_version<'3.8'

=== debian/changelog ===
opendrop (3.3.2-3) unstable; urgency=medium

  * debian patch pytest_asyncio_PR74.patch applies upstream PR#74 to
    update API for pytest-asyncio >= 1.0.0. Closes: #1115562.
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Wed, 24 Sep 2025 18:38:21 +0200

opendrop (3.3.2-2) unstable; urgency=medium

  * Set HOME to a writable location inside debian/rules to fix FTBFS
    (Closes: #1086306).
  * Permit stderr from autopkgtest tests.

 -- Stuart Prescott <stuart@debian.org>  Wed, 13 Nov 2024 08:51:54 +1100

opendrop (3.3.2-1) unstable; urgency=medium

  * New upstream release
    - Build-Depends: libsundials-dev (>= 7~)
    - applies debian patches fix_DBo_2f7dc0e.patch
      pep517-scons-interpreter.patch
      pytest8.patch
      sundials_API6_cf9d5aa.patch
  * update Homepage to https://github.com/jdber1/opendrop
    opencolloids.com is no longer active
  * debian patch sundials7_MPI.patch configures SCONS to build with
    mpicxx instead of g++. SUNDIALS 7 now places MPI support in core
    libraries, so client programs must compile and link against the
    MPI library. Since OpenMPI components are located in subdirectories,
    the simplest method (without cmake) is to use mpicxx as the
    compiler.
  * debian patch sundials7_API.patch replaces deprecated ERK functions
    with their ARK counterparts, to avoid distracting compilation
    warnings. Note that ERKStepCreate, ERKStepSetTableNum and
    ERKStepReInit are not deprecated.
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 11 Oct 2024 15:36:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: opendrop
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>,
  Stuart Prescott <stuart@debian.org>
 Build-Depends:
@@ -12,7 +11,7 @@
  libboost-dev,
  libboost-test-dev,
  libglib2.0-dev-bin,
- libsundials-dev,
+ libsundials-dev (>= 7~),
  python3-setuptools,
  python3,
  python3-all-dev,
@@ -34,8 +33,8 @@
  gir1.2-gtk-3.0,
  scons,
  unzip,
-Standards-Version: 4.6.2
-Homepage: http://opencolloids.com/
+Standards-Version: 4.7.2
+Homepage: https://github.com/jdber1/opendrop
 Vcs-Browser: https://salsa.debian.org/debichem-team/opendrop
 Vcs-Git: https://salsa.debian.org/debichem-team/opendrop.git
 #Testsuite: autopkgtest-pkg-python

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

BUILD_DIR=$(shell pybuild --print build_dir --interpreter python3)

%:
	dh $@ --with python3,sphinxdoc --buildsystem pybuild

override_dh_auto_configure:

execute_after_dh_auto_build:
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html # HTML generator
	PYTHONPATH=. python3 -m sphinx -N -bman docs/ build/man # Manpage generator

override_dh_install-arch:
	dh_install
	for res in 48x48 96x96; do \
	  (cd debian/opendrop/usr/share/icons/hicolor/$$res/apps && \
	  mv icon_$$res.png opendrop.png) \
	done

=== debian/tests/control ===
--- 
+++ 
@@ -4,3 +4,4 @@
  python3-pytest-asyncio,
  python3-pytest-xvfb | x-window-manager
 Tests: opendrop
+Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%opendrop-$1.tar.gz%" \
   https://github.com/jdber1/opendrop/tags \
   (?:.*?/)?v?(\d[\d.]*.*)\.tar\.gz debian uupdate
